<?php

namespace Teknisa\FIS\Modules\Relatorios\Controllers;

use Teknisa\FIS\Controllers\TeknisaCrud;
use Zeedhi\Framework\DTO;

class Fis20600RelatorioCustomizavel extends TeknisaCrud {

	protected $dataSourceName;
	protected $parameterBagColumns;

	protected $dataSourceNameImpostoProduto = 'impostos_produto';
	protected $parameterBagColumnsImpostoProduto = array('CDFILIAL', 'CDEMPRESA', 'CDINSCESTA', 'CDINSCMUNI', 'ENTRSAID', 'DTINICIAL', 'DTFINAL', 'CDIMPOSTO', 'CDTIPOOPER');

	protected $dataSourceNameImpostoProdutoEntrada = 'impostos_produto_entrada';
	protected $parameterBagColumnsImpostoProdutoEntrada = array('CDFILIAL', 'CDEMPRESA', 'CDINSCESTA', 'CDINSCMUNI', 'DTINICIAL', 'DTFINAL', 'CDIMPOSTO', 'CDTIPOOPER');

	protected $dataSourceNameImpostoProdutoSaida = 'impostos_produto_saida';
	protected $parameterBagColumnsImpostoProdutoSaida = array('CDFILIAL', 'CDEMPRESA', 'CDINSCESTA', 'CDINSCMUNI', 'DTINICIAL', 'DTFINAL', 'CDIMPOSTO', 'CDTIPOOPER');

	protected $dataSourceNameImpostoPorProdutoMapaApuracao = 'imposto_impostoProdutoMapaApuracao';
	protected $parameterBagColumnsImpostoPorProdutoMapaApuracao = array('CDFILIAL', 'CDEMPRESA', 'CDINSCESTA', 'CDINSCMUNI', 'DTINICIAL', 'DTFINAL', 'CDIMPOSTO', 'CDTIPOOPER', 'IDENTRSAIDOP');

	public function findImpostoProduto($request, $response) {
		set_time_limit(14400);
		$this->dataSourceName = $this->dataSourceNameImpostoProduto;
		$this->parameterBagColumns = $this->parameterBagColumnsImpostoProduto;
		parent::find($request, $response);
	}

	public function findImpostosProdutoEntrada(DTO\Request\Filter $request, DTO\Response $response) {	
		set_time_limit(14400);
		$this->dataSourceName = $this->dataSourceNameImpostoProdutoEntrada;
		$this->parameterBagColumns = $this->parameterBagColumnsImpostoProdutoEntrada;
		parent::find($request, $response);
	}

	public function findImpostosProdutoSaida(DTO\Request\Filter $request, DTO\Response $response) {	
		set_time_limit(14400);
		$this->dataSourceName = $this->dataSourceNameImpostoProdutoSaida;
		$this->parameterBagColumns = $this->parameterBagColumnsImpostoProdutoSaida;
		parent::find($request, $response);
	}
	
	public function findImpostoPorProdutoMapaApuracao(DTO\Request\Filter $request, DTO\Response $response) {	
		set_time_limit(14400); 
		$this->dataSourceName = $this->dataSourceNameImpostoPorProdutoMapaApuracao;
		$this->parameterBagColumns = $this->parameterBagColumnsImpostoPorProdutoMapaApuracao;
		parent::find($request, $response);
	}

}